<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: CarWheel Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d6a/a07670.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">CarWheel Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CarWheel:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d6a/a07670.png" usemap="#CarWheel_map" alt=""/>
  <map id="CarWheel_map" name="CarWheel_map">
<area href="../../dd/def/a07702.html" alt="ExpansionUniversalWheel" shape="rect" coords="0,56,158,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a104881cca76d4ebf78c189258a815375"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a104881cca76d4ebf78c189258a815375">EEKilled</a> (Object killer)</td></tr>
<tr class="separator:a104881cca76d4ebf78c189258a815375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104881cca76d4ebf78c189258a815375"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a104881cca76d4ebf78c189258a815375">EEKilled</a> (Object killer)</td></tr>
<tr class="separator:a104881cca76d4ebf78c189258a815375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104881cca76d4ebf78c189258a815375"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a104881cca76d4ebf78c189258a815375">EEKilled</a> (Object killer)</td></tr>
<tr class="separator:a104881cca76d4ebf78c189258a815375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104881cca76d4ebf78c189258a815375"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a104881cca76d4ebf78c189258a815375">EEKilled</a> (Object killer)</td></tr>
<tr class="separator:a104881cca76d4ebf78c189258a815375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104881cca76d4ebf78c189258a815375"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a104881cca76d4ebf78c189258a815375">EEKilled</a> (Object killer)</td></tr>
<tr class="separator:a104881cca76d4ebf78c189258a815375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cabb80a04320356039e43efdcf7d5a1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a9cabb80a04320356039e43efdcf7d5a1">OnWasDetached</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:a9cabb80a04320356039e43efdcf7d5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50755108ca3d2ef3c340ec66841b775"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#ac50755108ca3d2ef3c340ec66841b775">ConvertWheel</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:ac50755108ca3d2ef3c340ec66841b775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cabb80a04320356039e43efdcf7d5a1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a9cabb80a04320356039e43efdcf7d5a1">OnWasDetached</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:a9cabb80a04320356039e43efdcf7d5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50755108ca3d2ef3c340ec66841b775"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#ac50755108ca3d2ef3c340ec66841b775">ConvertWheel</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:ac50755108ca3d2ef3c340ec66841b775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cabb80a04320356039e43efdcf7d5a1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a9cabb80a04320356039e43efdcf7d5a1">OnWasDetached</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:a9cabb80a04320356039e43efdcf7d5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50755108ca3d2ef3c340ec66841b775"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#ac50755108ca3d2ef3c340ec66841b775">ConvertWheel</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:ac50755108ca3d2ef3c340ec66841b775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cabb80a04320356039e43efdcf7d5a1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a9cabb80a04320356039e43efdcf7d5a1">OnWasDetached</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:a9cabb80a04320356039e43efdcf7d5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50755108ca3d2ef3c340ec66841b775"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#ac50755108ca3d2ef3c340ec66841b775">ConvertWheel</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:ac50755108ca3d2ef3c340ec66841b775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cabb80a04320356039e43efdcf7d5a1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#a9cabb80a04320356039e43efdcf7d5a1">OnWasDetached</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:a9cabb80a04320356039e43efdcf7d5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50755108ca3d2ef3c340ec66841b775"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/a07670.html#ac50755108ca3d2ef3c340ec66841b775">ConvertWheel</a> (EntityAI parent, int slot_id)</td></tr>
<tr class="separator:ac50755108ca3d2ef3c340ec66841b775"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d1/d89/a03035.html">InventoryItem.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d89/a03035_source.html#l00013">13</a> of file <a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac50755108ca3d2ef3c340ec66841b775" name="ac50755108ca3d2ef3c340ec66841b775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50755108ca3d2ef3c340ec66841b775">&#9670;&#160;</a></span>ConvertWheel() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CarWheel::ConvertWheel </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00113">113</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="ac50755108ca3d2ef3c340ec66841b775" name="ac50755108ca3d2ef3c340ec66841b775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50755108ca3d2ef3c340ec66841b775">&#9670;&#160;</a></span>ConvertWheel() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CarWheel::ConvertWheel </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00126">126</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="ac50755108ca3d2ef3c340ec66841b775" name="ac50755108ca3d2ef3c340ec66841b775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50755108ca3d2ef3c340ec66841b775">&#9670;&#160;</a></span>ConvertWheel() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CarWheel::ConvertWheel </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00139">139</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="ac50755108ca3d2ef3c340ec66841b775" name="ac50755108ca3d2ef3c340ec66841b775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50755108ca3d2ef3c340ec66841b775">&#9670;&#160;</a></span>ConvertWheel() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CarWheel::ConvertWheel </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00152">152</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="ac50755108ca3d2ef3c340ec66841b775" name="ac50755108ca3d2ef3c340ec66841b775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50755108ca3d2ef3c340ec66841b775">&#9670;&#160;</a></span>ConvertWheel() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CarWheel::ConvertWheel </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00165">165</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="a104881cca76d4ebf78c189258a815375" name="a104881cca76d4ebf78c189258a815375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104881cca76d4ebf78c189258a815375">&#9670;&#160;</a></span>EEKilled() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::EEKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d89/a03035_source.html#l00015">15</a> of file <a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a>.</p>

</div>
</div>
<a id="a104881cca76d4ebf78c189258a815375" name="a104881cca76d4ebf78c189258a815375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104881cca76d4ebf78c189258a815375">&#9670;&#160;</a></span>EEKilled() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::EEKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d89/a03035_source.html#l00037">37</a> of file <a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a>.</p>

</div>
</div>
<a id="a104881cca76d4ebf78c189258a815375" name="a104881cca76d4ebf78c189258a815375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104881cca76d4ebf78c189258a815375">&#9670;&#160;</a></span>EEKilled() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::EEKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d89/a03035_source.html#l00057">57</a> of file <a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a>.</p>

</div>
</div>
<a id="a104881cca76d4ebf78c189258a815375" name="a104881cca76d4ebf78c189258a815375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104881cca76d4ebf78c189258a815375">&#9670;&#160;</a></span>EEKilled() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::EEKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d89/a03035_source.html#l00080">80</a> of file <a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a>.</p>

</div>
</div>
<a id="a104881cca76d4ebf78c189258a815375" name="a104881cca76d4ebf78c189258a815375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104881cca76d4ebf78c189258a815375">&#9670;&#160;</a></span>EEKilled() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::EEKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d89/a03035_source.html#l00100">100</a> of file <a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a>.</p>

</div>
</div>
<a id="a9cabb80a04320356039e43efdcf7d5a1" name="a9cabb80a04320356039e43efdcf7d5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cabb80a04320356039e43efdcf7d5a1">&#9670;&#160;</a></span>OnWasDetached() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00108">108</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="a9cabb80a04320356039e43efdcf7d5a1" name="a9cabb80a04320356039e43efdcf7d5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cabb80a04320356039e43efdcf7d5a1">&#9670;&#160;</a></span>OnWasDetached() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00121">121</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="a9cabb80a04320356039e43efdcf7d5a1" name="a9cabb80a04320356039e43efdcf7d5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cabb80a04320356039e43efdcf7d5a1">&#9670;&#160;</a></span>OnWasDetached() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00134">134</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="a9cabb80a04320356039e43efdcf7d5a1" name="a9cabb80a04320356039e43efdcf7d5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cabb80a04320356039e43efdcf7d5a1">&#9670;&#160;</a></span>OnWasDetached() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00147">147</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<a id="a9cabb80a04320356039e43efdcf7d5a1" name="a9cabb80a04320356039e43efdcf7d5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cabb80a04320356039e43efdcf7d5a1">&#9670;&#160;</a></span>OnWasDetached() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CarWheel::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d44/a03065_source.html#l00160">160</a> of file <a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/<a class="el" href="../../d1/d89/a03035_source.html">inventoryitem.c</a></li>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/items/<a class="el" href="../../d4/d44/a03065_source.html">expansionuniversalwheel.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d6a/a07670.html">CarWheel</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
